/*  streamutils.h
 *
 *  Copyright (C) 2010-2012 Andreas von Manteuffel
 *  Copyright (C) 2010-2012 Cedric Studerus
 *
 *  This file is part of the package Reduze 2.
 *  It is distributed under the GNU General Public License version 3
 *  (see the file GPL-3.0.txt or http://www.gnu.org/licenses/gpl-3.0.txt).
 */

#ifndef STREAMUTILS_H_
#define STREAMUTILS_H_

#include <streambuf>
#include <fstream>
#include <stdexcept>
#include <stack>

namespace Reduze {

/// null buffer
class NullBuffer: public std::streambuf {
public:
	NullBuffer();
private:
	// override protected virtual methods
	int_type overflow(int_type c);
	int_type underflow();
	int_type sync();
};

} // namespace Reduze

#endif /* STREAMUTILS_H_ */
